#!/bin/sh
#
#
# maui init.d script
# by Ramon Bastiaans
# 
# SVN info:
# 	$Id: init.d 587 2004-07-21 09:54:35Z bas $
#	$URL: https://svn.rainbow.sara.nl/beowulf/trunk/checkinstall_2_deb_pkgs/maui/init.d $

NAME=maui

DEFAULTS_FILE="/etc/default/maui"
SCHEDCTL="/usr/bin/schedctl"
STARTCMD="/usr/sbin/maui"
STOPCMD="$SCHEDCTL -k"

if [ -r $DEFAULTS_FILE ]
  then
    . $DEFAULTS_FILE
  else
    exit 0
fi

if [ ! -x $STARTCMD ] || [ ! -x $SCHEDCTL ]
  then
    exit 0
fi

if [ -z "${START}" ] 
  then
    exit 0
fi

checkedAction ()
{
  PID=`pidof $STARTCMD`
  if [ ! -z "$PID" ]
    then
      if [ "$1" = "start" ]
        then
          echo "Starting $NAME: already running"
      elif [ "$1" = "stop" ]
        then
          echo -n "Stopping $NAME: "
          $STOPCMD >/dev/null 2>/dev/null
	  echo "$NAME."
      fi
  else
    if [ "$1" = "stop" ]
      then
        echo "Stopping $NAME: not running"
    elif [ "$1" = "start" ]
      then 
        echo -n "Starting $NAME: "
	if [ "${START}" = "yes" ]
	  then
            $STARTCMD
            echo "$NAME."
	  else
	    echo "Not started! ($DEFAULTS_FILE says DONT start)"
        fi
    fi
  fi
}

case "$1" in
  start)
        checkedAction start
	;;
  stop)
	checkedAction stop
	sleep 1
        ;;
  restart|force-reload)
        checkedAction stop
	echo -n "Waiting for $NAME to shutdown: "
        sleep 5
	echo "$NAME."
        checkedAction start
        ;;
  *)
        echo "Usage: $0 {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0
